Bug 39196 - Displayed tree in configuration editor is not updated as DConfigBeans are created
Displayed tree in configuration editor is not updated as DConfigBeans are cre...
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
3.x
PC Windows XP
: P1 (vote)
: 4.x
Assigned To: Nam Nguyen
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-24 03:10 UTC by _ pcw
Modified: 2006-06-05 00:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ pcw 2004-01-24 03:10:21 UTC
When a new DDBean is created and that DDBean xpath
has a DConfigBean bound to it, the DConfigBean is
created, as expected.  However, the displayed tree
is not updated to show the new bean.

Steps:
1. Run IDE & create a web module
2. Open Configuration editor on sun-web.xml
3. Do something to add a DDBean to web.xml - e.g.
add a servlet, open web.xml and add a
security-role, etc.
4. Note that the configuration editor for
sun-web.xml does not add the new DConfigBean that
was created to the displayed tree.

Note: If you have the console window enabled, you
will see messages showing that the DConfigBean for
the new DDBean was created though.
Comment 1 Nam Nguyen 2004-01-26 05:29:57 UTC
Starting work config ui bug fixes.
Comment 2 Nam Nguyen 2004-01-26 20:53:29 UTC
Fixed.
Comment 3 _ pcw 2004-01-28 01:50:36 UTC
With latest builds of NB 3.6 trunk (1/27 @ 23:17), the behavior is as
follows:

Adding a servlet, ejb-ref, resource-ref (and likely any other named
DDBean for which we have a DConfigBean) does create a DConfigBean in
response to the BEAN_ADD event, but does NOT update the tree in the
configuration editor.

Removing the item will cause the entire tree to update though.  This
means you can add two items, and not see either of them.  But when you
remove one of them, the other will magically appear.
Comment 4 Nam Nguyen 2004-01-28 18:47:08 UTC
The confusing behaviour was that first servlet added would update the
config tree, but subsequent servlets added would not.  I just checked
in the fix for this.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo